
class CfgAmmo
{
	class Default;		// External class reference
	class RocketCore;	// External class reference
	class MissileCore;	// External class reference
	class RHS_MissileBase : MissileCore
	{
		maxSpeed = 425;	// max speed on level road, km/h
		irLock = 1;
		laserLock=true
		simulation=shotMissile
		manualControl = false;
		maxControlRange = 8000;	// max range for manual control, 0 = no control (passive weapon)
		initTime = 0.15;
		thrustTime = 2.5;
		thrust = 350;
		cost = 1000;
		trackOversteer = 1;
		trackLead = 10;
		maneuvrability = 25;
		simulationStep = 0.01;
		soundHit[] = {"\ca\Weapons\Data\Sound\explosion_large1", db100, 1};
		soundFly[] = {"\ca\Weapons\Data\Sound\rocket_fly1", db-20, 1.5};
		soundEngine[] = {"\ca\Weapons\Data\Sound\noise", db-50, 1};
		supersonicCrackNear[] = {"\ca\Weapons\Data\Sound\supersonic_crack_close.wss", 1, 1};
		supersonicCrackFar[] = {"\ca\Weapons\Data\Sound\supersonic_crack_50meters.wss", 1, 1};
		CraterEffects = "MissileCrater";
		explosionEffects = "ExplosionEffects";
	};
	class RHS_RocketBase : RocketCore
	{
		hit = 500;
                indirectHit = 150;
                indirectHitRange = 0.2;
		soundHit[] = {"\ca\Weapons\Data\Sound\explosion_large1", db+100, 1};
		soundFly[] = {"\ca\Weapons\Data\Sound\rocket_fly1", db-20, 1.5};
		soundEngine[] = {"\ca\Weapons\Data\Sound\noise", db-50, 1};
		supersonicCrackNear[] = {"\ca\Weapons\Data\Sound\supersonic_crack_close.wss", 1, 1};
		supersonicCrackFar[] = {"\ca\Weapons\Data\Sound\supersonic_crack_50meters.wss", 1, 1};
		maxSpeed = 1000;	// max speed on level road, km/h
		initTime = 0;
		cost = 0.20;
		thrustTime = 3.5;
		thrust = 900;
		CraterEffects = "MissileCrater";
		explosionEffects = "ExplosionEffects";
	};

	class RHS_57mmS5: RHS_RocketBase
	{
		soundHit[]={\RHS_hind\sounds\S5_explo,dB+100,1};
		hit=30;indirectHit=20;indirectHitRange=7.5;
		initTime=0.020;
		thrustTime=3.5;
		thrust=900;
                simulation = "shotMissile";
		maxControlRange=20;	// max range for manual control, 0=no control (passive weapon)
		maneuvrability = 8;
		canLock=2;
                minRange=30;
		minRangeProbab=0.100000;
		midRange=600;
		midRangeProbab=0.70000;
		maxRange=2000;
		maxRangeProbab=0.10000;
	};
	class RHS_80mmS8: RHS_RocketBase
	{
		soundHit[]={\RHS_hind\sounds\S8_explo,dB100,1};
		hit=50;indirectHit=30;indirectHitRange=10;
		initTime=0.020;
		thrustTime=3.5;
		thrust=900;
                canLock=2;       
                simulation = "shotMissile";
		maxControlRange=20;	// max range for manual control, 0=no control (passive weapon)
		maneuvrability = 8;
		minRange=30;
		minRangeProbab=0.100000;
		midRange=600;
		midRangeProbab=0.70000;
		maxRange=2000;
		maxRangeProbab=0.10000;
	};
	class RHS_Gunpodammo: RHS_RocketBase
	{
		soundHit[]={"\RHS_hind\sounds\23hit",db30,1};
		soundHitArmor[]={"\RHS_hind\sounds\23hitarmor",10,1};
		hit=10;indirectHit=5;indirectHitRange=0.5;
		minRange=30;
		minRangeProbab=0.100000;
		midRange=450;
		midRangeProbab=0.70000;
		maxRange=750;
		cost = 0.20;
		maxRangeProbab=0.350000;
		model = "\RHS_hind\RHS_23mm.p3d";
		canLock=2;
		simulationStep = 0.02;
		initTime = 10;
		thrustTime = 0.01;
		thrust = 1;
		explosive=0.8;
		airLock=1;
		CraterEffects = "GrenadeCrater";
		explosionEffects = "GrenadeExplosion";
		manualControl=0;
		soundFly[] = {"\ca\weapons\data\sound\bullet_noise_1", db-70, 2};
		soundHit1[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_01", db-40, 1};
		soundHit2[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_02", db-30, 1};
		soundHit3[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_03", db-40, 1};
		soundHit4[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_04", 0.0316228, 1};
		soundHit5[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_05", 0.01, 1};
		soundHit6[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_06", 0.01, 1};
		soundHit7[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_07", 0.01, 1};
		soundHit8[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_08", 0.0316228, 1};
		soundHit9[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_09", 0.0177828, 1};
		soundHit10[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_10", 0.01, 1};
		soundHit11[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_13", 0.0316228, 1};
		soundHit12[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_16", 0.01, 1};
		soundHitMan1[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_01", db-10, 1};
		soundHitMan2[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_02", db-10, 1};
		soundHitMan3[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_03", 0.316228, 1};
		soundHitMan4[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_04", 0.316228, 1};
		soundHitMan5[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_05", 0.316228, 1};
		soundHitMan6[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_06", 0.316228, 1};
		soundHitMan7[] = {"\ca\Weapons\Data\Sound\bullet_man_hit_07", 0.316228, 1};
		soundHitArmor1[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_01", db-20, 1};
		soundHitArmor2[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_02", db-20, 1};
		soundHitArmor3[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_03", 0.1, 1};
		soundHitArmor4[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_04", 0.1, 1};
		soundHitArmor5[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_05", 0.1, 1};
		soundHitArmor6[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_06", 0.1, 1};
		soundHitArmor7[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_07", 0.1, 1};
		soundHitArmor8[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_08", 0.1, 1};
		soundHitArmor9[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_09", 0.1, 1};
		soundHitArmor10[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_10", 0.1, 1};
		soundHitArmor11[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_11", 0.1, 1};
		soundHitArmor12[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_12", 0.1, 1};
		soundHitArmor13[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_13", 0.1, 1};
		soundHitArmor14[] = {"\ca\Weapons\Data\Sound\bullet_armor_hit_14", 0.1, 1};
		soundHitBuilding1[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_02", db-35, 1};
		soundHitBuilding2[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_04", db-35, 1};
		soundHitBuilding3[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_10", 0.0177828, 1};
		soundHitBuilding4[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_12", 0.0177828, 1};
		soundHitBuilding5[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_13", 0.00562341, 1};
		soundHitBuilding6[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_14", 0.0177828, 1};
		soundHitBuilding7[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_15", 0.0177828, 1};
		soundHitBuilding8[] = {"\ca\Weapons\Data\Sound\bullet_ricochet_16", 0.0177828, 1};
		supersonicCrackNear[] = {"\ca\Weapons\Data\Sound\supersonic_crack_close.wss", 1, 1};
		supersonicCrackFar[] = {"\ca\Weapons\Data\Sound\supersonic_crack_50meters.wss", 1, 1};
		hitGround[] = {"soundHit1", 0.083, "soundHit2", 0.083, "soundHit3", 0.083, "soundHit4", 0.083, "soundHit5", 0.083, "soundHit6", 0.083, "soundHit7", 0.083, "soundHit8", 0.083, "soundHit9", 0.083, "soundHit10", 0.083, "soundHit11", 0.083, "soundHit12", 0.083};
		hitMan[] = {"soundHitMan1", 0.143, "soundHitMan2", 0.143, "soundHitMan3", 0.143, "soundHitMan4", 0.143, "soundHitMan5", 0.143, "soundHitMan6", 0.143, "soundHitMan7", 0.143};
		hitArmor[] = {"soundHitArmor1", 0.071, "soundHitArmor2", 0.071, "soundHitArmor3", 0.071, "soundHitArmor4", 0.071, "soundHitArmor5", 0.071, "soundHitArmor6", 0.071, "soundHitArmor7", 0.071, "soundHitArmor8", 0.071, "soundHitArmor9", 0.071, "soundHitArmor10", 0.071, "soundHitArmor11", 0.071, "soundHitArmor12", 0.071, "soundHitArmor13", 0.071, "soundHitArmor14", 0.071};
		hitBuilding[] = {"soundHitBuilding1", 0.125, "soundHitBuilding2", 0.125, "soundHitBuilding3", 0.125, "soundHitBuilding4", 0.125, "soundHitBuilding5", 0.125, "soundHitBuilding6", 0.125, "soundHitBuilding7", 0.125, "soundHitBuilding8", 0.125};
		deflecting = 10;
		tracerColor[]={0.2, 0.8, 0.1, 0.04};
		tracerColorR[]={0.2, 0.8, 0.1, 0.04};
	};
	class RHS_AGS17ammo: RHS_57mmS5
	{
		soundHit[]={"\RHS_hind\sounds\AGS_explo",10,0.7};
		hit=13;indirectHit=10;indirectHitRange=6;
		minRange=30;
		minRangeProbab=0.500000;
		midRange=450;
		midRangeProbab=0.990000;
		maxRange=750;
		maxRangeProbab=0.300000;
		model = "\ca\Weapons\granat";
		irLock=0;
		explosive=1;
		airLock=0;
		manualControl=0;
		initTime=10;
		thrustTime=2;
		thrust=50;
	};
	class RHS_AT2 : RHS_MissileBase
	{
		hit=700;
		indirectHit=10;
		indirectHitRange=0.2;
		proxyShape="\RHS_Hind\RHS_AT2_Proxy.p3d";
		model="\RHS_Hind\RHS_AT2.p3d";

		soundHit[]={"\RHS_hind\sounds\AT2_explo",db100,1};
		manualControl = true;
		maxControlRange = 8000;	// max range for manual control, 0 = no control (passive weapon)
		initTime = 0.15;
		thrustTime = 2.5;
		thrust = 350;
		trackOversteer = 1;
		trackLead = 10;
		maneuvrability = 25;

		minRange=500;
		minRangeProbab=0.010000;
		midRange=1200;
		midRangeProbab=0.900000;
		maxRange=1750;
		maxRangeProbab=0.400000;
	};
	class RHS_AT6a: RHS_MissileBase
	{
		model = "\RHS_Hind\RHS_AT6.p3d";
		proxyShape="\RHS_Hind\RHS_AT6a_Proxy.p3d";
		hit = 1000;
		indirectHit = 20;
		indirectHitRange = 0.2;
		soundHit[]={"\RHS_hind\sounds\AT6_explo",100,1};

		initTime = 0.15;
		thrustTime = 2.5;
		thrust = 350;
		trackOversteer = 1;
		trackLead = 10;
		maneuvrability = 25;

		minRange=550;
		minRangeProbab=0.030000;
		midRange=1000;
		midRangeProbab=0.950000;
		maxRange=1800;
		maxRangeProbab=0.500000;
	};
	class RHS_AT6b: RHS_AT6a
	{
		proxyShape="\RHS_Hind\RHS_AT6b_Proxy.p3d";
		maneuvrability=20;

		minRange=500;
		minRangeProbab=0.050000;
		midRange=1000;
		midRangeProbab=0.990000;
		maxRange=1800;
		maxRangeProbab=0.500000;
	};
	class RHS_AT6c: RHS_AT6a
	{
		proxyShape="\RHS_Hind\RHS_AT6c_Proxy.p3d";
	};
	class RHS_AT6d: RHS_AT6a
	{
		proxyShape="\RHS_Hind\RHS_AT6d_Proxy.p3d";
		maneuvrability=20;

		minRange=500;
		minRangeProbab=0.050000;
		midRange=1000;
		midRangeProbab=0.990000;
		maxRange=1800;
		maxRangeProbab=0.500000;
	};
	class BulletCore;	// External class reference
	class BulletBase;
	class RHS_30mm: BulletBase
	{
		soundHit[]={"\RHS_hind\sounds\30hit",1,1};
		soundHitMan[]={"\RHS_hind\sounds\30hitman",1,1};
		soundHitArmor1[]={"\RHS_hind\sounds\30hitarmor1",1,1};
		soundHitArmor2[]={"\RHS_hind\sounds\30hitarmor2",1,1};
		soundHitArmor3[]={"\RHS_hind\sounds\30hitarmor3",1,1};
		hitGround[]={"soundHit",1};
		hitMan[]={"soundHitMan",1};
		hitArmor[]={"soundHitArmor1",0.7,"soundHitArmor2",0.15,"soundHitArmor3",0.15};
		hitBuilding[]={"soundHit",1};
		explosive=0;
		hit=25; 
		indirectHit=1; 
		indirectHitRange=1;
		tracerColor[]={0.2, 0.8, 0.1, 0.04};
		tracerColorR[]={0.2, 0.8, 0.1, 0.04};
		cost = 0.12;
		minRange=10;
		minRangeProbab=0.200000;
		midRange=650;
		midRangeProbab=0.450000;
		maxRange=1000;
		maxRangeProbab=0.050000;
	};
	class RHS_12_7mm: BulletBase
	{
		soundHit1[]={"weapons\bulletricochet1",0.4,1};
		soundHit2[]={"weapons\bulletricochet2",0.4,1};
		soundHit3[]={"weapons\bulletricochet3",0.4,1};
		soundHitMan1[]={"weapons\bullethitman1",0.3,1};
		soundHitMan2[]={"weapons\bullethitman2",0.3,1};
		soundHitArmor1[]={"weapons\small_impact1",0.5,1};
		soundHitArmor2[]={"weapons\Big_Impact2",0.5,1};
		soundHitBuilding1[]={"weapons\bulletricochet4",0.4,1};
		soundHitBuilding2[]={"weapons\bulletricochet5",0.4,1};
		hitGround[]={"soundHit1",0.33,"soundHit2",0.33,"soundHit3",0.33};
		hitMan[]={"soundHitMan1",0.5,"soundHitMan2",0.5};
		hitArmor[]={"soundHitArmor1",0.7,"soundHitArmor2",0.3};
		hitBuilding[]={"soundHitBuilding1",0.5,"soundHitBuilding2",0.5};
		hit=8;
		indirectHit=1;
		indirectHitRange=0.01;
		explosive=0;
        	tracerColor[]={0.2, 0.8, 0.1, 0.04};
		tracerColorR[]={0.2, 0.8, 0.1, 0.04};
		cost = 0.2;
		minRange=1;
		minRangeProbab=0.10000;
		midRange=1000;
		midRangeProbab=0.580000;
		maxRange=1400;
		maxRangeProbab=0.04000;
	};
};