class CfgWeapons
{
	class Default;	// External class reference
	class PistolCore;	// External class reference
	class RifleCore;	// External class reference
	class MGunCore;	// External class reference
	class LauncherCore;	// External class reference
	class GrenadeCore;	// External class reference
	class GrenadeLauncher; // External class reference
	class CannonCore;	// External class reference
	class Launcher;	// External class reference
	class MissileLauncher : LauncherCore{};
	class FFARLauncher;
	class RHS_12_7mmGun: MGunCore
	{
		scope=public;
		displayName="YakB 12.7mm";
		displayNameMagazine="YakB";
		shortNameMagazine="YakB";
		count=1470;
		ammo="RHS_12_7mm";
		multiplier=1;
		magazines[] = {"RHS_12_7mmGun"};
		burst=10;
		sound[]={"\RHS_Hind\sounds\12mm_fire",db98,1};
		soundContinuous=0;
		reloadTime=0.009;
		dispersion=0.01;
		minRange = 1;
		minRangeProbab = 0.1;
		midRange = 1000;
		midRangeProbab = 0.58;
		maxRange = 1400;
		maxRangeProbab = 0.04;
                maxLeadSpeed = 200
                autofire=true;
	        aiRateOfFire = 0.001;	// delay between shots at given distance
		aiRateOfFireDistance = 1000;
        };
	class RHS_30mmTwinGun: MGunCore
	{
		scope=public;
		displayName="GSh-30K 30mm";
		displayNameMagazine="GSh-30K";
		shortNameMagazine="GSh-30K";
		count=750;
		ammo="RHS_30mm";
		multiplier=1;
		magazines[] = {"RHS_30mmTwinGun"};
		burst=5;
		sound[]={"\RHS_Hind\sounds\30mm_fire",db93,1.4};
		soundContinuous=0;
		reloadTime=0.09;
		dispersion=0.01;
		minRange = 30;
		minRangeProbab = 0.2;
		midRange = 300;
		midRangeProbab = 0.7;
		maxRange = 1200;
		maxRangeProbab = 0.1;
	};
	class RHS_UPK23: FFARLauncher
	{
		scope=public;
		burst = 6;
		ammo="RHS_Gunpodammo";
		displayName="UPK-23/250 HE";
		displayNameMagazine="UPK-23/250";
		shortNameMagazine="UPK-23/250";
		magazines[] = {"RHS_UPK23"};
		sound[]={"\RHS_hind\sounds\23mm_fire",3,1.3};
		count=500;
		reloadTime=0.05;
		initSpeed=400;
		selectionFireAnim = "gunpodsflash";
		maneuvrability = 0.0;
		maxControlRange = 0;	// max range for manual control, 0 = no control (passive weapon)
	};
	class RHS_AT2:MissileLauncher
	{
		scope=public;
		initSpeed=10;	
		ammo="RHS_AT2";
		magazines[] = {"RHS_AT2"};
		sound[]={"\RHS_hind\sounds\AT2_fire",3,1};
		displayName="9M17P ATGM";
		displayNameMagazine="9M17P Rocket";
		shortNameMagazine="9M17P Rocket";
		count=4;
		minRange = 100;
		minRangeProbab = 0.1;
		midRange = 4000;
		midRangeProbab = 0.7;
		maxRange = 8000;
		maxRangeProbab = 0.001;
		aiRateOfFire = 5.0;	// delay between shots at given distance
		aiRateOfFireDistance = 500;
	};
	class RHS_AT6a: MissileLauncher
     	{
		scope=public;
		initSpeed=10;		
		ammo="RHS_AT6a";
		magazines[] = {"RHS_AT6a","RHS_AT6b","RHS_At6C","RHS_At6D"};
		count=8;
		displayName="9M114 ATGM";
		displayNameMagazine="9M114 Rocket";
		shortNameMagazine="9M114 Rocket";
		sound[]={"\RHS_hind\sounds\AT6_fire",3,1};
		minRange = 100;
		minRangeProbab = 0.1;
		midRange = 4000;
		midRangeProbab = 0.7;
		maxRange = 8000;
		maxRangeProbab = 0.001;
		aiRateOfFire = 5.0;	// delay between shots at given distance
		aiRateOfFireDistance = 500;
	};
	class RHS_AT6b : RHS_AT6a{};
	class RHS_AT6c : RHS_AT6a{};
	class RHS_AT6d : RHS_AT6a{};
	class RHS_Rocket57x64: FFARLauncher
	{
		scope=public;
		ammo="RHS_57mmS5";
		burst = 2;
		sound[]={"\RHS_hind\sounds\S5_fire",3,1};
		displayName="S-5 57mm FFAR";
		magazines[] = {"RHS_Rocket57x64"};
		displayNameMagazine="S-5 Rocket";
		shortNameMagazine="S-5 Rocket";
		count=64;
		minRange = 30;
		minRangeProbab = 0.1;
		midRange = 600;
		midRangeProbab = 0.7;
		maxRange = 2000;
		maxRangeProbab = 0.1;
		simulation = "shot";
                maneuvrability = 0.0;
		maxControlRange = 0;	// max range for manual control, 0 = no control (passive weapon)
	        aiRateOfFire = 0.1
                aiRateOfFireDistance = 1000;
                maxLeadSpeed =150;
        };
	class RHS_Rocket57x128: RHS_Rocket57x64
	{
		scope=public;
		displayName="S-5 57mm FFAR";
		magazines[] = {"RHS_Rocket57x128"};
	};
	class RHS_Rocket80x80: RHS_Rocket57x64
	{
		scope=public;
		ammo="RHS_80mmS8";
		burst = 2;
		sound[]={"\RHS_hind\sounds\S8_fire",3,1};
		magazines[] = {"RHS_Rocket80x80","RHS_Rocket80x40"};
		displayName="S-8 80mm FFAR";
		displayNameMagazine="S-8 Rocket";
		shortNameMagazine="S-8 Rocket";
		count=80;
	};
	class RHS_Rocket80x40: RHS_Rocket80x80
     	{
		scope=public;
		count=40;
	};
	class RHS_AGS17: FFARLauncher
	{
		scope=public;
		burst = 6;
		ammo="RHS_AGS17ammo";
		displayName="AGS-17 30mm Grenades";
		displayNameMagazine="AGS-17";
		shortNameMagazine="AGS-17";
		sound[]={"\RHS_hind\sounds\AGS_fire",3,1};
		count=600;
	      	reloadTime=0.05;
		initSpeed=300;
	};
	class RHS_FlareDummy: MGunCore
	{
		scope=public;
		magazines[] = {"RHS_FlareDummy"};
		ammo="";
		displayname="FLARES";
	};
};