/*

Orignal model and Config by RHS.
New config by granQ and MechaStalin
Credits for MapFact for leading the way with the release of the AH64
*/
// some basic defines

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7
#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot		0	// dummy weapons
#define WeaponSlotPrimary	1	// primary weapons
#define WeaponSlotSecondary	16	// secondary weapons
#define WeaponSlotItem		256	// items
#define WeaponSlotBinocular	4096	// binocular
#define WeaponHardMounted	65536

class CfgPatches
{
	class RHS_Hind
	{
		units[] = 
		{
			"RHS_Mi24D","RHS_Mi24D_Irq","RHS_Mi24D_Gun"
		};
		weapons[] = {};
		requiredVersion = 1.000000;
		requiredAddons[] = {"CAAir","CACharacters","CAWeapons","CA_Anims_Char"};
		version = 1.0;
	};
};
	#include <CfgSkeletons.h>
	#include <CfgModels.h>
	#include <CfgAmmo.h>
	#include <CfgWeapons.h>
	#include <cfgmagazine.h>

class CfgVehicleClasses
{
	class RHS_Air
	{
		displayName = "RHS - AIR";
	};
};
class CfgSounds
{
	class RHS_Mi24_engineon
	{
		sound[]={"\RHS_hind\sounds\engineon",0.05,1};
		name = "RHS: Mi24_engineon";
		titles[] = {};
 	};
	class RHS_Mi24_engineoff
	{
		sound[]={"\RHS_hind\sounds\engineoff",0.05,1};
		name = "RHS: Mi24_engineon";
		titles[] = {};
 	};
      class RHS_Mi24_gear
	{
		sound[]={"\RHS_hind\sounds\gear",0.05,1};
		name = "RHS: Mi24_gear";
		titles[] = {};
 	};
     	class RHS_mi24_PdoorOpen
	{
		sound[]={"\RHS_hind\sounds\pdoorop",0.05,1};
		name = "RHS: mi24_PdoorOpen";
		titles[] = {};
 	};
	class RHS_mi24_PdoorClose
	{
		sound[]={"\RHS_hind\sounds\pdoorcl.wss",0.05,1};
		name = "RHS: mi24_PdoorClose";
		titles[] = {};
 	};
	class RHS_mi24_GdoorOpen
	{
		sound[]={"\RHS_hind\sounds\gdoorop.wss",0.05,1};
		name = "RHS: mi24_GdoorOpen";
		titles[] = {};
 	};
	class RHS_mi24_GdoorClose
	{
		sound[]={"\RHS_hind\sounds\gdoorcl.wss",0.05,1};
		name = "RHS: mi24_GdoorClose";
		titles[] = {};
 	};
	class RHS_mi24_Cdoor
	{
		sound[]={"\RHS_hind\sounds\cdoor.wss",0.05,1};
		name = "RHS: mi24_Cdoor";
		titles[] = {};
 	};
	class RHS_mi24_flare
	{
		sound[]={"\RHS_hind\sounds\flare.wss",0.5,1};
		name = "mi24_flare";
		titles[] = {};
 	};
	class RHS_mi24_missilealert
	{
		sound[]={"\RHS_hind\sounds\missilealert.wss",0.05,1};
		name = "RHS: mi24_flare";
		titles[] = {};
 	};
};
class CfgTextureToMaterial
{
	class RHS_HindMetal
	{
		textures[] = {"RHS_hind\drus\mi24_wing1d2.pac","RHS_hind\dirq\mi24_wing1d1.pac","RHS_hind\frus\mi24_wing1p2.pac","RHS_hind\frus\mi24_wing1p1.pac","RHS_hind\erus\mi24_wing1e1.pac","RHS_hind\erus\mi24_wing1e2.pac","RHS_hind\drus\mi24_d2.pac","RHS_hind\dirq\mi24_d1.pac", "RHS_hind\erus\mi24_e1.pac", "RHS_hind\erus\mi24_e2.pac", "RHS_hind\frus\mi24_p1.pac", "RHS_hind\frus\mi24_p2.paa", "RHS_hind\frus\mi24_p2.pac"};
		material = "#RHS_Hindmetal";
	};
};
class CfgMaterials
{
	class RHS_Hindmetal
	{
		ambient[] = {1, 1, 1, 1};
		diffuse[] = {1, 1, 1, 1};
		forcedDiffuse[] = {0, 0, 0, 0};
		emmisive[] = {0, 0, 0, 1};
		specular[] = {1, 1, 1, 0};
		specularPower = 75;
		PixelShaderID = "NormalMapSpecularDIMap";
		VertexShaderID = "NormalMap";
		class Stage1
		{
			texture = "RHS_hind\effects\mi24_nohq.paa";

			uvSource = "tex";

			class uvTransform
			{
				aside[] = {1.000000, 0.000000, 0.000000};
				up[] = {0.000000, 1.000000, 0.000000};
				dir[] = {0.000000, 0.000000, 0.000000};
				pos[] = {0.000000, 0.000000, 0.000000};
			};
		};
		class Stage2
		{
			texture = "RHS_hind\effects\mi24_smdi.paa";
			uvSource = "tex";

			class uvTransform
			{
				aside[] = {1.000000, 0.000000, 0.000000};
				up[] = {0.000000, 1.000000, 0.000000};
				dir[] = {0.000000, 0.000000, 0.000000};
				pos[] = {0.000000, 0.000000, 0.000000};
			};
		};
	};
};
class CfgVehicles
{

	class Helicopter;
	class RHS_Heli : Helicopter
	{
		class NewTurret;
		irScanRangeMin = 500;
		class ViewPilot;
	};
	class RHS_Mi24D : RHS_Heli
	{
		cost = 4000000;
		armor = 200;
		damageresistance = 2;
                type = 2;
		scope = 2;
		side = 0;
		vehicleClass = "RHS_Air";
		model = "\RHS_Hind\RHS_Mi24D.p3d";
		displayName = "Mi 24D";
		crew = "SoldierEPilot";
		driverAction = "AH1Z_Pilot";
		driverIsCommander = 1;
		hasGunner = 1;
		crewVulnerable = 0;
		maxSpeed = 320;
		transportSoldier =8;
		selectionHRotorStill = "velka vrtule staticka";
		selectionHRotorMove = "velka vrtule blur";
		selectionVRotorStill = "mala vrtule staticka";
		selectionVRotorMove = "mala vrtule blur";
		memoryPointLMissile = "L strela";
		memoryPointRMissile = "P strela";
		memoryPointLRocket = "L raketa";
		memoryPointRRocket = "P raketa";
		selectionFireAnim = "zasleh";
		cargoAction[] = {"Mi17_Cargo02"};
		maxMainRotorDive = +9;
		minMainRotorDive = +3;
		neutralMainRotorDive = +7;
                #define RHS_Hind_skills		sensitivity=6; sensitivityEar=3; accuracy=0.5; camouflage=6; canHideBodies=0; canDeactivateMines=0; nightVision=0; audible=9;
		spotDistance[] = {0, 0.700000, 1, 0.900000};
                aimingSpeed[] = {0, 0.500000, 1, 1};
                enableSweep = 1;
                picture = "\RHS_hind\icons\mi24_ca.paa";

		class Library
		{
			libTextDesc = $STR_RHS_LIB_Hind;
		};

		memoryPointsGetInDriver = "pos driver";
		memoryPointsGetInDriverDir = "pos g";
		memoryPointsGetInCargo = "pos cargo";
		memoryPointsGetInCargoDir = "zamerny";
		memoryPointsGetInCoDriver = "pos gunner";
		memoryPointsGetInCoDriverDir = "pos g";

		soundEngine[] = {"\RHS_Hind\sounds\engine.wss",db+70,1};
		soundGetIn[]={"\RHS_Hind\sounds\get_in",0.03,1};
		soundGetOut[]={"\RHS_Hind\sounds\get_out",0.03,1};
		threat[] = {0.300000,1,0.800000};
		hiddenSelections[] = {"pic_usarmy","pic_nation","pic_nation2","pic_nl","fire","fireb"};
		
		typicalCargo[] = {"SoldierEPilot","SoldierEPilot"};
		weapons[] = {};
		magazines[] = {};

		class Turrets
		{
			class MainTurret: NewTurret
			{
				startEngine = 0;
				outGunnerMayFire = 1;
				commanding = -1;
				primary = 1;
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos_gunner_dir";
				memoryPointGun = "machinegun";
				memoryPointGunnerOptics = "gunnerview";
				selectionFireAnim = "zasleh";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "AH1Z_Gunner";
				gunnerInAction = "AH1Z_Gunner";

				weapons[]={RHS_Rocket57x128,RHS_AT2,RHS_12_7mmGun,"SLX_VehicleLaserDesignator"};
				magazines[]={RHS_Rocket57x128,RHS_12_7mmGun,RHS_AT2,"Laserbatteries"};
				
				gunnerOpticsModel = "\ca\air\optika_Ka50_rocket.p3d";
				gunnerForceOptics = 0;
				
				minElev = -45;
				maxElev = 5;
				initElev = 0;
				minTurn = -100;
				maxTurn = 100;
				initTurn = 0;
			};
		};
		class HitVRotor
		{
			armor = 0.300000;
			material = 51;
			name = "tailRotor";
			visual = "tailRotor";
			passThrough = 1;
		};
		class HitHRotor
		{
			armor = 0.300000;
			material = 51;
			name = "mainRotor";
			visual = "mainRotor";
			passThrough = 1;
		};
		class AnimationSources
		{
			class  Doors // Should be the same as your selection name.
			{
				source = "user"; //The controller is defined as a user animation.
				animPeriod = 1;  //The animation period used for this controller.
				initPhase=0;     //Initial phase when object is created. 0 = CLOSED
			};
		};
		class UserActions
		{

			class OpenRdoor
			{
				displayName ="Open Right Door";
				position = "pos r";
				radius =3;
				onlyForplayer= false;
				condition = "this animationPhase ""rtdoor"" < 0.5 && (getpos this select 2) < 3 && (speed this < 3) AND Alive(this)";
				statement = "[this] exec ""\RHS_hind\scripts\rdoorop.sqs"""; 
			};
			class CloseRdoor
			{
				displayName ="Close Right Door";
				position = "pos r";
				radius =3;
				onlyForplayer= false;
				condition = "this animationPhase ""rtdoor"" > 0.5 AND Alive(this)";
				statement = "[this] exec ""\RHS_hind\scripts\rdoorcl.sqs"""; 
			};
			class OpenLdoor
			{
				displayName ="Open Left Door";
				position = "pos l";
				radius =3;
				onlyForplayer= false;
				condition = "this animationPhase ""ltdoor"" < 0.5 && (getpos this select 2) < 3 && (speed this < 3) AND Alive(this)";
				statement = "[this] exec ""\RHS_hind\scripts\ldoorop.sqs"""; 
			};
			class CloseLdoor
			{
				displayName ="Close Left Door";
				position = "pos l";
				radius =3;
				onlyForplayer= false;
				condition = "this animationPhase ""ltdoor"" > 0.5 AND Alive(this)";
				statement = "[this] exec ""\RHS_hind\scripts\ldoorcl.sqs"""; 
			};
			class NightVision
			{
				displayName="Nightvision ON";
				position="pos g";
				radius=3.500000;
				onlyForPlayer= true;
				condition="NOT(RHS_HaveNvg) AND (PLAYER == gunner this)";
				statement="this exec ""\SD_Btr80\script\nightvision.sqs""";
			};
			class NightVisionOff
			{
				displayName="Nightvision Off";
				position="pos g";
				radius=3.500000;
				onlyForPlayer= true;
				condition="RHS_HaveNvg AND (PLAYER == gunner this)";
				statement="RHS_HaveNvg = false";
			};
		};

		class EventHandlers
		{
			init="_this exec ""\RHS_Hind\scripts\check_dammage.sqs""; _this exec ""\RHS_Hind\scripts\engineDammage.sqs"";_this exec ""\RHS_Hind\scripts\numrandr.sqs""; [_this select 0] exec ""\RHS_Hind\scripts\checkgear.sqs"";_this exec ""\RHS_Hind\scripts\engine.sqs"";_this exec ""\RHS_Hind\scripts\init.sqs""";
                 	incomingMissile = "if ((_this select 0)==(__this select 0)) then { [_this] exec ""\RHS_hind\scripts\SpoofMissile.sqs""; [_this] exec ""\RHS_hind\scripts\autoflaresP.sqs""; } ";
			getin = "_this exec ""\RHS_hind\scripts\getin.sqs"";";
			getout = "_this exec ""\RHS_hind\scripts\getout.sqs"";";			
			fired = "_this exec ""\RHS_hind\scripts\firedAT6.sqs"";_this exec ""\RHS_hind\scripts\fired.sqs"";";
			engine = "_this exec ""\RHS_hind\scripts\eng.sqs"";"
		}; 
		dammageHalf[] = {};
		dammageFull[] = {"\RHS_Hind\drus\mi24_wing1d2.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\dirq\mi24_wing1d1.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\frus\mi24_wing1p2.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\frus\mi24_wing1p1.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\erus\mi24_wing1e1.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\erus\mi24_wing1e2.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_Hind\drus\mi24_d2.pac","\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\dirq\mi24_d1.pac", "\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\erus\mi24_e1.pac", "\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\erus\mi24_e2.pac", "\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\frus\mi24_p1.pac", "\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\frus\mi24_p2.paa", "\RHS_hind\effects\mi24_destruct.paa","\RHS_hind\frus\mi24_p2.pac", "\RHS_hind\effects\mi24_destruct.paa"};
		/*
		class Damage
		{
			tex[] = {};
			mat[] = {};
		};
		*/
	};
	class RHS_Mi24D_Irq : RHS_Mi24D
	{
		displayname="Mi 24D (Iraq)";
		model="\RHS_Hind\RHS_Mi24D_IRQ.p3d"
	};
	class RHS_Mi24P_Cas : RHS_Mi24D
	{
		model = "\RHS_Hind\RHS_Mi24P_CAS.p3d";
		displayName = "Mi 24P (CAS)";
		class Turrets
		{
			class MainTurret: NewTurret
			{
				startEngine = 0;
				outGunnerMayFire = 1;
				commanding = -1;
				primary = 1;
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos_gunner_dir";
				memoryPointGun = "machinegun";
				memoryPointGunnerOptics = "gunnerview";
				selectionFireAnim = "zasleh";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "AH1Z_Gunner";
				gunnerInAction = "AH1Z_Gunner";

				weapons[]={RHS_Rocket80x80,RHS_30mmTwinGun,RHS_AT6d};
				magazines[]={RHS_30mmTwinGun,RHS_AT6d,RHS_Rocket80x80};
				
				gunnerOpticsModel = "\ca\air\optika_Ka50_rocket.p3d";
				gunnerForceOptics = 0;
				
				minElev = 0;
				maxElev = 0;
				initElev = 0;
				minTurn = 0;
				maxTurn = 0;
				initTurn = 0;
			};
		};
	};
	class RHS_Mi24P_AT : RHS_Mi24D
	{
		model = "\RHS_Hind\RHS_Mi24P_AT.p3d";
		displayName = "Mi 24P (AT)";
		class Turrets
		{
			class MainTurret: NewTurret
			{
				startEngine = 0;
				outGunnerMayFire = 1;
				commanding = -1;
				primary = 1;
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos_gunner_dir";
				memoryPointGun = "machinegun";
				memoryPointGunnerOptics = "gunnerview";
				selectionFireAnim = "zasleh";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "AH1Z_Gunner";
				gunnerInAction = "AH1Z_Gunner";
				weapons[]={RHS_30mmTwinGun,RHS_AT6b,RHS_Rocket80x40};
				magazines[]={RHS_30mmTwinGun,RHS_AT6b,RHS_Rocket80x40};
				
				gunnerOpticsModel = "\ca\air\optika_Ka50_rocket.p3d";
				gunnerForceOptics = 0;
				
				minElev = 0;
				maxElev = 0;
				initElev = 0;
				minTurn = 0;
				maxTurn = 0;
				initTurn = 0;
			};
		};
	};
	class RHS_Mi24V_CAS : RHS_Mi24D
	{
		model = "\RHS_Hind\RHS_Mi24V_CAS.p3d";
		displayName = "Mi 24V (CAS)";
		class Turrets
		{
			class MainTurret: NewTurret
			{
				startEngine = 0;
				outGunnerMayFire = 1;
				commanding = -1;
				primary = 1;
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos_gunner_dir";
				memoryPointGun = "machinegun";
				memoryPointGunnerOptics = "gunnerview";
				selectionFireAnim = "zasleh";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "AH1Z_Gunner";
				gunnerInAction = "AH1Z_Gunner";
				weapons[]={"RHS_12_7mmGun","RHS_AT6c","RHS_UPK23"};
				magazines[]={"RHS_12_7mmGun","RHS_AT6c","RHS_UPK23"};
				
				gunnerOpticsModel = "\ca\air\optika_Ka50_rocket.p3d";
				gunnerForceOptics = 0;
				
				minElev = -45;
				maxElev = 5;
				initElev = 0;
				minTurn = -100;
				maxTurn = 100;
				initTurn = 0;
			};
		};
	};
	class RHS_Mi24V_AT : RHS_Mi24D
	{
		model = "\RHS_Hind\RHS_Mi24V_AT.p3d";
		displayName = "Mi 24V (AT)";
		class Turrets
		{
			class MainTurret: NewTurret
			{
				startEngine = 0;
				outGunnerMayFire = 1;
				commanding = -1;
				primary = 1;
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos_gunner_dir";
				memoryPointGun = "machinegun";
				memoryPointGunnerOptics = "gunnerview";
				selectionFireAnim = "zasleh";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "AH1Z_Gunner";
				gunnerInAction = "AH1Z_Gunner";
				weapons[]={RHS_12_7mmGun,RHS_AT6a,RHS_Rocket57x64};
				magazines[]={RHS_12_7mmGun,RHS_AT6a,RHS_Rocket57x64};
				
				gunnerOpticsModel = "\ca\air\optika_Ka50_rocket.p3d";
				gunnerForceOptics = 0;
				
				minElev = -45;
				maxElev = 5;
				initElev = 0;
				minTurn = -100;
				maxTurn = 100;
				initTurn = 0;
			};
		};
	};
};

